## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

# C library name
%global lib     libimagequant
%global crate   imagequant-sys

Name:           rust-imagequant-sys
Version:        4.0.3
Release:        %autorelease
Summary:        Convert 24/32-bit images to 8-bit palette with alpha channel

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/imagequant-sys
Source:         %{crates_source}
# * compatibility fixes for cargo-c v0.9.26 and newer:
#   https://github.com/lu-zero/cargo-c/pull/346
#   https://github.com/lu-zero/cargo-c/pull/352
Patch:          0001-explicitly-set-version_suffix_components-for-recent-.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Convert 24/32-bit images to 8-bit palette with alpha channel. C API/FFI
libimagequant that powers pngquant lossy PNG compressor. Dual-licensed
like pngquant. See https://pngquant.org for details.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capi-devel %{_description}

This package contains library source intended for building other packages which
use the "capi" feature of the "%{crate}" crate.

%files       -n %{name}+capi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+threads-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+threads-devel %{_description}

This package contains library source intended for building other packages which
use the "threads" feature of the "%{crate}" crate.

%files       -n %{name}+threads-devel
%ghost %{crate_instdir}/Cargo.toml

# C library packages

%package     -n %{lib}
Summary:        %{summary}
# Apache-2.0
# GPL-3.0-or-later
# MIT
# MIT OR Apache-2.0
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND GPL-3.0-or-later AND MIT
# LICENSE.dependencies contains a full license breakdown
Obsoletes:     libimagequant < 4.0.0
Provides:      libimagequant%{_isa} = %{version}-%{release}

%description -n %{lib} %{_description}

%files       -n %{lib}
%license        COPYRIGHT
%license        LICENSE.dependencies
%doc            README.md
%{_libdir}/%{lib}.so.0{,.*}

%package     -n %{lib}-devel
Summary:        Development files for %{lib}
Requires:       %{lib}%{?_isa} = %{version}-%{release}
Obsoletes:     libimagequant-devel < 4.0.0
Provides:      libimagequant-devel%{_isa} = %{version}-%{release}

%description -n %{lib}-devel %{_description}

The %{lib}-devel package contains libraries and header files for
developing applications that use %{lib}.

%files       -n %{lib}-devel
%{_includedir}/%{lib}.h
%{_libdir}/%{lib}.so
%{_libdir}/pkgconfig/imagequant.pc

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
# Dependency for building C shared library
echo "cargo-c"

%build
%cargo_build
%cargo_cbuild
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
%cargo_cinstall
# Don't ship static library
rm -f %{buildroot}%{_libdir}/%{lib}.a

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 05 2023 Fabio Valentini <decathorpe@gmail.com> - 4.0.3-2
- Compatibility fixes for cargo-c v0.9.26 and newer

* Sun Oct 22 2023 blinxen <h-k-81@hotmail.com> - 4.0.3-1
- Update to version 4.0.3 (rhbz#2238259)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Mar 10 2023 blinxen <h-k-81@hotmail.com> - 4.0.1-4
- Rebuild (rust-imagequant 4.1.1)

* Sat Mar 04 2023 Sandro Mani <manisandro@gmail.com> - 4.0.1-3
- Add Obsoletes/Provides for libimagequant

* Fri Mar 03 2023 blinxen <h-k-81@hotmail.com> - 4.0.1-2
- [skip changelog] Bump release

* Fri Mar 03 2023 blinxen <h-k-81@hotmail.com> - 4.0.1-1
- Initial package
## END: Generated by rpmautospec
